List routes
Every asset and the destinations it can reach. Public.
GET
/
v2
/
orchestration
/
routes
List routes
curl --request GET \
--url https://orchestration.flashnet.xyz/v2/orchestration/routes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v2/orchestration/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v2/orchestration/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "bitcoin:BTC",
"chain": "bitcoin",
"asset": "BTC",
"assetDisplayName": "Bitcoin",
"assetDisplaySymbol": "BTC",
"contractAddress": null,
"decimals": 8,
"chainId": null,
"chainDisplayName": "Bitcoin",
"chainIcon": "/btc.svg",
"route": {
"to": "all",
"exactOutTo": [],
"fixedTo": []
}
},
{
"id": "solana:USDC",
"chain": "solana",
"asset": "USDC",
"assetDisplayName": "USDC",
"assetDisplaySymbol": "USDC",
"contractAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"decimals": 6,
"chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
"chainDisplayName": "Solana",
"chainIcon": "/chain-solana.svg",
"route": {
"to": [],
"exactOutTo": [],
"fixedTo": []
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Was this page helpful?
⌘I
List routes
curl --request GET \
--url https://orchestration.flashnet.xyz/v2/orchestration/routes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v2/orchestration/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v2/orchestration/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "bitcoin:BTC",
"chain": "bitcoin",
"asset": "BTC",
"assetDisplayName": "Bitcoin",
"assetDisplaySymbol": "BTC",
"contractAddress": null,
"decimals": 8,
"chainId": null,
"chainDisplayName": "Bitcoin",
"chainIcon": "/btc.svg",
"route": {
"to": "all",
"exactOutTo": [],
"fixedTo": []
}
},
{
"id": "solana:USDC",
"chain": "solana",
"asset": "USDC",
"assetDisplayName": "USDC",
"assetDisplaySymbol": "USDC",
"contractAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"decimals": 6,
"chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
"chainDisplayName": "Solana",
"chainIcon": "/chain-solana.svg",
"route": {
"to": [],
"exactOutTo": [],
"fixedTo": []
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}